Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1448738 - Review Request: nodejs-temp-write - Write string/buffer/stream to a random temp file
Summary: Review Request: nodejs-temp-write - Write string/buffer/stream to a random te...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1433796 1448655 1493720
Blocks: nodejs-reviews Node-RED 1449413
TreeView+ depends on / blocked
 
Reported: 2017-05-07 23:11 UTC by Jared Smith
Modified: 2017-09-22 14:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-22 14:51:21 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2017-05-07 23:11:29 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-temp-write/nodejs-temp-write.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-temp-write/nodejs-temp-write-3.2.0-1.fc27.src.rpm
Description: Write string/buffer/stream to a random temp file
Fedora Account System Username: jsmith

Comment 1 Robert-André Mauchin 2017-09-20 13:04:25 UTC
 - Please update to version 3.3.0.

BuildRequires:	npm(mkdirp) 

  is replaced with 

BuildRequires:	npm(makedir)


 - npm(makedir) is not yet packaged. Plebse propose it for review.

Comment 2 Jared Smith 2017-09-20 18:54:49 UTC
Actually, it uses npm(make-dir), not npm(makedir).  Wish I'd realized that earlier, but now we have new package requests for both :-)

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-temp-write/nodejs-temp-write.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-temp-write/nodejs-temp-write-3.3.0-1.fc28.src.rpm

Comment 3 Robert-André Mauchin 2017-09-21 07:26:14 UTC
 - You forgot to switch makedir to make-dir:

BuildRequires:	npm(make-dir)

 - The package requires npm(uuid) >= 3.0.1 but the latest version of npm(uuid) is 2.0.x. Thus I added:

%nodejs_fixdep uuid

Package otherwise accepted.

Comment 4 Jared Smith 2017-09-21 22:36:42 UTC
'Requested package in ticket https://pagure.io/releng/fedora-scm-requests/issue/1493'

Comment 5 Gwyn Ciesla 2017-09-21 23:07:38 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-temp-write

Comment 6 Jared Smith 2017-09-22 14:51:21 UTC
In rawhide, closing bug


Note You need to log in before you can comment on or make changes to this bug.